Bug 1304292 - it's not possible to clear events list
it's not possible to clear events list
Status: CLOSED NOTABUG
Product: Red Hat Storage Console
Classification: Red Hat
Component: UI (Show other bugs)
2
Unspecified Unspecified
unspecified Severity medium
: ---
: 2
Assigned To: Sankarshan Mukhopadhyay
sds-qe-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-03 04:30 EST by Lubos Trilety
Modified: 2016-05-10 03:22 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-05 03:37:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
red circle near bell icon (55.78 KB, image/png)
2016-02-03 04:30 EST, Lubos Trilety
no flags Details

  None (edit)
Description Lubos Trilety 2016-02-03 04:30:27 EST
Created attachment 1120690 [details]
red circle near bell icon

Description of problem:
After accepting some nodes there's a bell icon with number in red circle showing number of events (accepted hosts). When the icon is clicked on a drop-down list with events is shown. It's not possible to clear the list so there is still the red circle near the bell icon.

Version-Release number of selected component (if applicable):
rhscon-core-0.0.8-1.el7.x86_64
rhscon-ceph-0.0.6-1.el7.x86_64
rhscon-ui-0.0.7-1.el7.noarch

How reproducible:
100%

Steps to Reproduce:
1. Accept some hosts
2. Look at the events list - click on bell icon

Actual results:
There is number in red circle near the bell icon. It's not possible to clear events list or somehow accept any event so it will not be counted any more. So the number in red circle near the bell icon is still present and never disappear.

Expected results:
The drop down events list could be cleared. The functionality could be the same as for other lists like tasks and discovered hosts.

Additional info:
Comment 1 Martin Bukatovic 2016-02-12 09:10:52 EST
Additional info: I was able to clear event list by logging out and in again,
which is hardly a good solution.
Comment 2 Lubos Trilety 2016-02-15 07:52:01 EST
(In reply to Martin Bukatovic from comment #1)
> Additional info: I was able to clear event list by logging out and in again,
> which is hardly a good solution.

Yes, but if you restart skyringd.service, you will have all events again.
Comment 5 Nishanth Thomas 2016-05-05 03:37:53 EDT
This is not a valid bug. Event list is not clearable. it displays all the un dismissed events
Comment 6 Lubos Trilety 2016-05-10 03:22:41 EDT
(In reply to Nishanth Thomas from comment #5)
> This is not a valid bug. Event list is not clearable. it displays all the un
> dismissed events

It was not possible to dismiss them either. By 'clear' I meant any action which removes an event from the list.

Note You need to log in before you can comment on or make changes to this bug.